<?php
//クラスファイルを読み込む
require_once 'User.php';

$host = 'localhost';	//データベースサーバー名
$dbname = 'books';		//データベース名
$username = 'root';		//データベースユーザー名
$password = '';			//パスワード
?>
<!DOCTYPE html>
<html lang="ja">
	<meta charset="utf-8">
	<head>
		<title>INSERT文実行</title>
	</head>
	<body>
<?php
//検証用のフラグ
$errorflag = true;		//true:エラー発生 false:正常

try{
	//データベースに接続する
	$pdo = new PDO('mysql:host=' . $host . ';dbname=' . $dbname .';charset=utf8;',
			$username,
			$password);

	//トランザクションを開始する
	$pdo -> beginTransaction();

	//SQL文を実行する
	$result = $pdo -> query('SELECT * FROM users;');

	//データを取得する
	print('追加前*****');
	while($row = $result -> fetchObject('User')){
		var_dump($row);
	}

	//データを追加する
	$ret = $pdo -> exec('INSERT INTO users VALUES("004", "tanaka", "tpass", "田中");');

	//検証用のフラグをもとに確定か取り消しをする
	if($errorflag){		//エラーとする場合
		$pdo -> rollBack();
	}else{				//正常とする場合
		$pdo -> commit();
	}

	//追加後のデータを取得する
	$result = $pdo -> query('SELECT * FROM users;');

	//データを取得する
	print('<hr>追加後*****');
	while($row = $result -> fetchObject('User')){
		var_dump($row);
	}
}catch(PDOException $e){
	var_dump($e -> getMessage());
}

//データベースを閉じる
$result = null;
$pdo = null;
?>
	</body>
</html>